## org.eclipse.datatools.connectivity.ui.templates
Class ConnectivityPluginTemplateWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.pde.ui.templates.AbstractNewPluginTemplateWizard
              org.eclipse.pde.ui.templates.NewPluginTemplateWizard
                  org.eclipse.datatools.connectivity.ui.templates.ConnectivityPluginTemplateWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.pde.ui.IBasePluginWizard, org.eclipse.pde.ui.IBundleContentWizard, org.eclipse.pde.ui.IPluginContentWizard

    public class ConnectivityPluginTemplateWizard

extends org.eclipse.pde.ui.templates.NewPluginTemplateWizard

Wizard to wrap the Connection Profile template

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ConnectivityPluginTemplateWizard()`

Method Summary
`org.eclipse.pde.ui.templates.ITemplateSection[]` `createTemplateSections()`
`void` `init(org.eclipse.pde.ui.IFieldData data)`

Methods inherited from class org.eclipse.pde.ui.templates.NewPluginTemplateWizard
`getTemplateSections`

Methods inherited from class org.eclipse.pde.ui.templates.AbstractNewPluginTemplateWizard
`addPages, getData, getDependencies, getImportPackages, getNewFiles, hasPages, performFinish, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### ConnectivityPluginTemplateWizard

    public ConnectivityPluginTemplateWizard()

Method Detail

### createTemplateSections

    public org.eclipse.pde.ui.templates.ITemplateSection[] createTemplateSections()

  Specified by:
    `createTemplateSections` in class `org.eclipse.pde.ui.templates.NewPluginTemplateWizard`

### init

    public void init(org.eclipse.pde.ui.IFieldData data)

  Specified by:
    `init` in interface `org.eclipse.pde.ui.IPluginContentWizard`
  Overrides:
    `init` in class `org.eclipse.pde.ui.templates.AbstractNewPluginTemplateWizard`